%define major 1
%define libname %mklibname mpd %{major}
%define develname %mklibname mpd -d

Summary:	Music Player Daemon Library
Name:		libmpd
Version:	11.8.17
Release:	%mkrel 8
License:	GPLv2+
Group:		System/Libraries
Url:		http://sarine.nl/libmpd
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0) >= 2.16

%description
Libmpd is an a library to easily connect to a mpd server. 
It's wraps around libmpdclient and provides a higher level api. 

%package -n %{libname}
Summary:	Music Player Daemon Library
Group:		System/Libraries

%description -n %{libname}
Libmpd is an a library to easily connect to a mpd server. 
It's wraps around libmpdclient and provides a higher level api. 

%package -n %{develname}
Summary:	Header files for developing programs with libmpd
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Group:		Development/Other

%description -n %{develname}
libmpd-devel is a sub-package which contains header files and static libraries
for developing program with libmpd.

%prep
%setup -q

%build
# _XOPEN_SOURCE=700 is to get strndup()
%configure2_5x \
    CPPFLAGS=-D_XOPEN_SOURCE=700 \
	--disable-static

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/libmpd.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README
%{_libdir}/libmpd.so
%{_libdir}/pkgconfig/libmpd.pc
%{_includedir}/libmpd-1.0


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 11.8.17-8.mga6
+ Revision: 934418
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.8.17-7.mga5
+ Revision: 742027
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 tv <tv> 11.8.17-6.mga5
+ Revision: 738196
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 11.8.17-4.mga4
+ Revision: 507267
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 11.8.17-3.mga3
+ Revision: 357803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 11.8.17-2.mga3
+ Revision: 323417
- clean spec
- fix rpm group

* Wed Jan 04 2012 fwang <fwang> 11.8.17-1.mga2
+ Revision: 190662
- new version 11.8.17

* Tue Apr 19 2011 ennael <ennael> 0.20.0-2.mga1
+ Revision: 88190
- clean spec file
- imported package libmpd


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.0-2mdv2011.0
+ Revision: 609759
- rebuild

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 531584
- new version 0.20.0

* Mon Sep 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19.0-1mdv2010.0
+ Revision: 446803
- update to new version 0.19.0

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.18.0-1mdv2010.0
+ Revision: 379361
- New version 0.18.0

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.0-1mdv2009.1
+ Revision: 320594
- update to new version 0.17.0

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 296175
- update to new version 0.16.1
- update to new version 0.16.0
- fix urls

* Sat Jul 26 2008 Thierry Vignaud <tv@mandriva.org> 0.15.0-5mdv2009.0
+ Revision: 250191
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Dec 31 2007 Funda Wang <fwang@mandriva.org> 0.15.0-3mdv2008.1
+ Revision: 139830
- obsoletes old devel name

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.0-2mdv2008.1
+ Revision: 138504
- correct provides

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.0-1mdv2008.1
+ Revision: 133733
- adjust buildrequires
- new version
- libification
- new license policy
- move docs to devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-2mdv2008.0
+ Revision: 32203
- fix group

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-1mdv2008.0
+ Revision: 32191
- new version
- spec file clean


* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.13.0-2mdv2007.0
+ Revision: 132758
- Fix group and description

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.13.0-1mdv2007.1
+ Revision: 123706
- New release 0.13.0

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.12.0-1mdv2007.1
+ Revision: 123582
- Fix errors
- Fix errors
- Fix errors
- Import libmpd

